<?php

// For the sidebar widget

if ( function_exists('register_sidebar') ) {
register_sidebar(array('name'=>'sidebar',
'before_widget' => '<li>',
'after_widget' => '</li>',
'before_title' => '<h2>',
'after_title' => '</h2>',
));

}



/*
Plugin Name: Simple Recent Comments
Plugin URI: http://www.g-loaded.eu/2006/01/15/simple-recent-comments-wordpress-plugin/
Description: Shows a list of recent comments.
Version: 0.1.2
Author: GNot
Author URI: http://www.g-loaded.eu/
*/


function src_simple_recent_comments($src_count=7, $src_length=60, $pre_HTML='', $post_HTML='') {
	global $wpdb;
	
	$sql = "SELECT DISTINCT ID, post_title, post_password, comment_ID, comment_post_ID, comment_author, comment_date_gmt, comment_approved, comment_type, 
			SUBSTRING(comment_content,1,$src_length) AS com_excerpt 
		FROM $wpdb->comments 
		LEFT OUTER JOIN $wpdb->posts ON ($wpdb->comments.comment_post_ID = $wpdb->posts.ID) 
		WHERE comment_approved = '1' AND comment_type = '' AND post_password = '' 
		ORDER BY comment_date_gmt DESC 
		LIMIT $src_count";
	$comments = $wpdb->get_results($sql);

	$output = $pre_HTML;
	$output .= "\n<ul>";
	foreach ($comments as $comment) {
		$output .= "\n\t<li><a href=\"" . get_permalink($comment->ID) . "#comment-" . $comment->comment_ID  . "\" title=\"on " . $comment->post_title . "\">" . $comment->comment_author . "</a>: " . strip_tags($comment->com_excerpt) . "...</li>";
	}
	$output .= "\n</ul>";
	$output .= $post_HTML;
	
	echo $output;

}



/*
The function below is based on "Latest Post from each Category plugin for WordPress"
Edited by Red Evolution

Plugin Name: Latest From Each Category
Plugin URI: http://www.dagondesign.com/articles/latest-post-from-each-category-plugin-for-wordpress/
Description: Displays a list of the latest post in each category.
Author: Dagon Design
Version: 1.7
Author URI: http://www.dagondesign.com
*/

add_option('ddle_sort', 'cata');
add_option('ddle_cat_links', TRUE);
add_option('ddle_show_date', TRUE);
add_option('ddle_date_format', 'F jS, Y');
add_option('ddle_limit', 0);
add_option('ddle_excerpts', TRUE);
add_option('ddle_chars', 400);

function dd_last_from_each() {
	global $wpdb, $post, $wp_version;

	$ver = (float)$wp_version;
	$tp = $wpdb->prefix;

	$ddle_sort = get_option('ddle_sort');
	$ddle_cat_links = get_option('ddle_cat_links');
	$ddle_show_date = get_option('ddle_show_date');
	$ddle_date_format = get_option('ddle_date_format');
	$ddle_excerpts = get_option('ddle_excerpts');
	$ddle_limit = (int)get_option('ddle_limit');
	$ddle_chars = (int)get_option('ddle_chars');
	
	$sort_code = 'ORDER BY cat_name ASC, post_date DESC';

	switch ($ddle_sort) {
		case 'cata':
			$sort_code = 'GROUP BY cat_name, post_date DESC';			
			break; 
		case 'catd':
			$sort_code = 'ORDER BY cat_name DESC, post_date DESC';		
			break;	
		case 'datea':
			$sort_code = 'ORDER BY post_date ASC'; 						
			break;	
		case 'dated':
			$sort_code = 'ORDER BY post_date DESC';						 
			break;	
	}	
	$the_output = NULL;
		if ($ver < 2.3) {

		$last_posts = (array)$wpdb->get_results("
			SELECT post_date, ID, post_title, cat_name, cat_ID
			FROM {$tp}posts, {$tp}post2cat, {$tp}categories 
			WHERE {$tp}posts.ID = {$tp}post2cat.post_id 
			AND {$tp}categories.cat_ID = {$tp}post2cat.category_id
			AND post_status = 'publish' 
			AND post_type != 'page' 
			AND post_date < NOW() 
			{$hide_check} 
			{$sort_code}
		");

	} else { // post 2.3

		$last_posts = (array)$wpdb->get_results("
			SELECT post_date, 
				ID, 
				post_title, 
				{$tp}terms.name as cat_name, 
				{$tp}terms.term_id as cat_ID
			FROM {$tp}posts, {$tp}terms, {$tp}term_taxonomy, {$tp}term_relationships
			WHERE {$tp}posts.ID = {$tp}term_relationships.object_id 
			AND {$tp}term_relationships.object_id = {$tp}posts.ID
			AND {$tp}term_relationships.term_taxonomy_id = {$tp}term_taxonomy.term_taxonomy_id 
			AND {$tp}terms.term_id  = {$tp}term_taxonomy.term_id 
			AND {$tp}term_taxonomy.taxonomy = 'category' 
			AND post_status = 'publish' 
			AND post_type = 'post' 
			AND post_date < NOW() 
			{$hide_check} 
			{$sort_code}
		");
	}
	
	if (empty($last_posts)) {
		return NULL;
	}

	$used_cats = array();;
	$i = 0;
	foreach ($last_posts as $posts) {

		if (in_array($posts->cat_name, $used_cats)) {
			unset($last_posts[$i]);
		} else {
			$used_cats[] = $posts->cat_name;
		}

		$i++;
	}
	$last_posts = array_values($last_posts);
	

	$the_output .= '<ul id="cat-excerpts">';

	$limit_check = 0;
	
	foreach ($last_posts as $posts) {
	
		if (($ddle_limit == 0) || ($limit_check < $ddle_limit)) {
	
		$the_output .= '<li><h4>';
	if ($ddle_cat_links) {
			$the_output .= '<a href="' . get_category_link($posts->cat_ID) . '">' . $posts->cat_name . '</a>';
		} else {
			$the_output .= $posts->cat_name;
		}
		
		$the_output .= '</h4> <h2><a href="' . get_permalink($posts->ID) . '">' . $posts->post_title . '</a></h2>';
	 
		if ($ddle_show_date) {
			$the_output .= ' <div class="date"> ' . date_i18n($ddle_date_format, strtotime($posts->post_date)) . ' </div> '; 
		}
		
		$the_text = $wpdb->get_var("SELECT post_content FROM " . $tp . "posts WHERE ID=" . $posts->ID);
			$the_output .= substr(strip_tags(trim($the_text)) , 0, $ddle_chars);
			if (strlen(strip_tags(trim($the_text))) > $ddle_chars) {
				$the_output .= ' <p><a href="' . get_permalink($posts->ID) . '" class="readmore" title="Read more of '.$posts->post_title.'"> Read More&raquo; </a></p> ';}
		
		$the_output .= '</li>';




		} // end limit if

		$limit_check++;

	}
	
	$the_output .= '</ul>';





	return $the_output;


}

/*
 * quick and dirty breadcrumb menu
 * initially designed for wordpress
 */
function CPbreadcrumbs() {
    $CPtheFullUrl = $_SERVER["REQUEST_URI"];
    $CPurlArray=explode("/",$CPtheFullUrl);
    while (list($CPj,$CPtext) = each($CPurlArray)) {
        $CPdir='';
        if ($CPj > 1) {
            $CPi=1;
            while ($CPi < $CPj) {
                $CPdir .= '/' . $CPurlArray[$CPi];
                $CPtext = $CPurlArray[$CPi];
                $CPi++;
            }
            if($CPj < count($CPurlArray)-1) echo ' &raquo; <a href="'.$CPdir.'">' . str_replace("-", " ", $CPtext) . '</a>';
        }
    }
    echo wp_title();
}



?>
